com.io7m.jstructural.annotated

## Interface SAIDTargetContentVisitor<T>

- Type Parameters:
    `T` - The type of values returned by the visitor

      public interface SAIDTargetContentVisitor<T>

  A visitor that can visit elements that can be assigned IDs.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitFormalItem(SAFormalItem f)` Visit a formal item element.
    `T` | `visitParagraph(SAParagraph paragraph)` Visit a paragraph element.
    `T` | `visitPart(SAPart part)` Visit a part element.
    `T` | `visitSection(SASection section)` Visit a section element.
    `T` | `visitSubsection(SASubsection subsection)` Visit a subsection element.

- - ### Method Detail

    - #### visitFormalItem

          T visitFormalItem(SAFormalItem f)
                     throws Exception

      Visit a formal item element.
      Parameters:
        `f` - The formal item element
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitParagraph

          T visitParagraph(SAParagraph paragraph)
                    throws Exception

      Visit a paragraph element.
      Parameters:
        `paragraph` - The paragraph element
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitPart

          T visitPart(SAPart part)
               throws Exception

      Visit a part element.
      Parameters:
        `part` - The part element
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitSection

          T visitSection(SASection section)
                  throws Exception

      Visit a section element.
      Parameters:
        `section` - The section element
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitSubsection

          T visitSubsection(SASubsection subsection)
                     throws Exception

      Visit a subsection element.
      Parameters:
        `subsection` - The subsection element
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

Copyright © 2015 <code@io7m.com> http://io7m.com